Patches for aports can be sent to this list

3 2

[alpine-aports] [PATCH] testing/libzip: new aport

Andrew Domaszek
Details
Message ID
<1481106600-27523-1-git-send-email-brimston3@hg0.us>
Sender timestamp
1481106600
DKIM signature
missing
Download raw message
Patch: +38 -0
https://nih.at/libzip
C library for handling zip files
---
 testing/libzip/APKBUILD | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100644 testing/libzip/APKBUILD

diff --git a/testing/libzip/APKBUILD b/testing/libzip/APKBUILD
new file mode 100644
index 0000000..0280402
--- /dev/null
+++ b/testing/libzip/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Andrew Domaszek <brimston3@hg0.us>
+# Maintainer:
+pkgname="libzip"
+pkgver="1.1.3"
+pkgrel=0
+pkgdesc="C library for handling zip archives"
+url="https://nih.at/libzip/"
+arch="all"
+license="BSD"
+depends=""
+depends_dev="perl"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://nih.at/$pkgname/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/"$pkgname"/LICENSE || return 1
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="898f02db185068c8ae45bafe4c5cc81c  libzip-1.1.3.tar.gz"
+sha256sums="1faa5a524dd4a12c43b6344e618edce1bf8050dfdb9d0f73f3cc826929a002b0  libzip-1.1.3.tar.gz"
+sha512sums="8534b48d2f1498b741925dbdf7510ebbdfb9773b5266ec28b1eb22b8f1a39e7ba44d225dae7d5dc265415a30e5b5295e7061e5c97698834405ce97ef08b97326  libzip-1.1.3.tar.gz"
-- 
2.8.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Andrew Domaszek
Details
Message ID
<20161208065032.GA13984@peacecraft.izsrs.biz>
In-Reply-To
<CAKTwcDMW3x9i4QJYwJsRRS1q0PGdZZK2oP9zp4339qoQBDnfng@mail.gmail.com> (view parent)
Sender timestamp
1481179832
DKIM signature
missing
Download raw message
Oops, yes it is. Sorry about that, I will search better next time.
Should I create a patch for the ebook-tools APKBUILD to remove the
doc submodule?

On Thu, Dec 08, 2016 at 09:43:08AM +0200, Valery Kartel wrote:
> Hi,
> 
> It's alredy exists in community/libzip.
> 
> PS there is no need to copy the license if it world-known, not custom
> 
> 2016-12-07 12:30 GMT+02:00 Andrew Domaszek <brimston3@hg0.us>:
> 
> > https://nih.at/libzip
> > C library for handling zip files
> > ---
> >  testing/libzip/APKBUILD | 38 ++++++++++++++++++++++++++++++++++++++
> >  1 file changed, 38 insertions(+)
> >  create mode 100644 testing/libzip/APKBUILD
> >
> > diff --git a/testing/libzip/APKBUILD b/testing/libzip/APKBUILD
> > new file mode 100644
> > index 0000000..0280402
> > --- /dev/null
> > +++ b/testing/libzip/APKBUILD
> > @@ -0,0 +1,38 @@
> > +# Contributor: Andrew Domaszek <brimston3@hg0.us>
> > +# Maintainer:
> > +pkgname="libzip"
> > +pkgver="1.1.3"
> > +pkgrel=0
> > +pkgdesc="C library for handling zip archives"
> > +url="https://nih.at/libzip/"
> > +arch="all"
> > +license="BSD"
> > +depends=""
> > +depends_dev="perl"
> > +makedepends="$depends_dev"
> > +install=""
> > +subpackages="$pkgname-dev $pkgname-doc"
> > +source="https://nih.at/$pkgname/$pkgname-$pkgver.tar.gz"
> > +
> > +builddir="$srcdir"/$pkgname-$pkgver
> > +build() {
> > +       cd "$builddir"
> > +       ./configure \
> > +               --build=$CBUILD \
> > +               --host=$CHOST \
> > +               --prefix=/usr \
> > +               --mandir=/usr/share/man \
> > +               --infodir=/usr/share/info \
> > +               || return 1
> > +       make || return 1
> > +}
> > +
> > +package() {
> > +       cd "$builddir"
> > +       install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/"$pkgname"/LICENSE
> > || return 1
> > +       make DESTDIR="$pkgdir" install || return 1
> > +}
> > +
> > +md5sums="898f02db185068c8ae45bafe4c5cc81c  libzip-1.1.3.tar.gz"
> > +sha256sums="1faa5a524dd4a12c43b6344e618edce1bf8050dfdb9d0f73f3cc826929a002b0
> > libzip-1.1.3.tar.gz"
> > +sha512sums="8534b48d2f1498b741925dbdf7510ebbdfb9773b5266ec28b1eb22b8f1a3
> > 9e7ba44d225dae7d5dc265415a30e5b5295e7061e5c97698834405ce97ef08b97326
> > libzip-1.1.3.tar.gz"
> > --
> > 2.8.3
> >
> >
> >
> > ---
> > Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
> > Help:         alpine-aports+help@lists.alpinelinux.org
> > ---
> >
> >


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Valery Kartel
Details
Message ID
<CAKTwcDMW3x9i4QJYwJsRRS1q0PGdZZK2oP9zp4339qoQBDnfng@mail.gmail.com>
In-Reply-To
<1481106600-27523-1-git-send-email-brimston3@hg0.us> (view parent)
Sender timestamp
1481182988
DKIM signature
missing
Download raw message
Hi,

It's alredy exists in community/libzip.

PS there is no need to copy the license if it world-known, not custom

2016-12-07 12:30 GMT+02:00 Andrew Domaszek <brimston3@hg0.us>:

> https://nih.at/libzip
> C library for handling zip files
> ---
>  testing/libzip/APKBUILD | 38 ++++++++++++++++++++++++++++++++++++++
>  1 file changed, 38 insertions(+)
>  create mode 100644 testing/libzip/APKBUILD
>
> diff --git a/testing/libzip/APKBUILD b/testing/libzip/APKBUILD
> new file mode 100644
> index 0000000..0280402
> --- /dev/null
> +++ b/testing/libzip/APKBUILD
> @@ -0,0 +1,38 @@
> +# Contributor: Andrew Domaszek <brimston3@hg0.us>
> +# Maintainer:
> +pkgname="libzip"
> +pkgver="1.1.3"
> +pkgrel=0
> +pkgdesc="C library for handling zip archives"
> +url="https://nih.at/libzip/"
> +arch="all"
> +license="BSD"
> +depends=""
> +depends_dev="perl"
> +makedepends="$depends_dev"
> +install=""
> +subpackages="$pkgname-dev $pkgname-doc"
> +source="https://nih.at/$pkgname/$pkgname-$pkgver.tar.gz"
> +
> +builddir="$srcdir"/$pkgname-$pkgver
> +build() {
> +       cd "$builddir"
> +       ./configure \
> +               --build=$CBUILD \
> +               --host=$CHOST \
> +               --prefix=/usr \
> +               --mandir=/usr/share/man \
> +               --infodir=/usr/share/info \
> +               || return 1
> +       make || return 1
> +}
> +
> +package() {
> +       cd "$builddir"
> +       install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/"$pkgname"/LICENSE
> || return 1
> +       make DESTDIR="$pkgdir" install || return 1
> +}
> +
> +md5sums="898f02db185068c8ae45bafe4c5cc81c  libzip-1.1.3.tar.gz"
> +sha256sums="1faa5a524dd4a12c43b6344e618edce1bf8050dfdb9d0f73f3cc826929a002b0
> libzip-1.1.3.tar.gz"
> +sha512sums="8534b48d2f1498b741925dbdf7510ebbdfb9773b5266ec28b1eb22b8f1a3
> 9e7ba44d225dae7d5dc265415a30e5b5295e7061e5c97698834405ce97ef08b97326
> libzip-1.1.3.tar.gz"
> --
> 2.8.3
>
>
>
> ---
> Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
> Help:         alpine-aports+help@lists.alpinelinux.org
> ---
>
>
Valery Kartel
Details
Message ID
<CAKTwcDNhAW8PmjyXaDkCc05cJhwubCxrcMpuUsHg2nnpWS-9QQ@mail.gmail.com>
In-Reply-To
<20161208065032.GA13984@peacecraft.izsrs.biz> (view parent)
Sender timestamp
1481234402
DKIM signature
missing
Download raw message
Hi,

I think, it's better to make changes and resend it all again as PATCH v2,
while it is not accepted.

8 дек. 2016 г. 20:59 пользователь "Andrew Domaszek" <brimston3@hg0.us>
написал:

> Oops, yes it is. Sorry about that, I will search better next time.
> Should I create a patch for the ebook-tools APKBUILD to remove the
> doc submodule?
>
> On Thu, Dec 08, 2016 at 09:43:08AM +0200, Valery Kartel wrote:
> > Hi,
> >
> > It's alredy exists in community/libzip.
> >
> > PS there is no need to copy the license if it world-known, not custom
> >
> > 2016-12-07 12:30 GMT+02:00 Andrew Domaszek <brimston3@hg0.us>:
> >
> > > https://nih.at/libzip
> > > C library for handling zip files
> > > ---
> > >  testing/libzip/APKBUILD | 38 ++++++++++++++++++++++++++++++++++++++
> > >  1 file changed, 38 insertions(+)
> > >  create mode 100644 testing/libzip/APKBUILD
> > >
> > > diff --git a/testing/libzip/APKBUILD b/testing/libzip/APKBUILD
> > > new file mode 100644
> > > index 0000000..0280402
> > > --- /dev/null
> > > +++ b/testing/libzip/APKBUILD
> > > @@ -0,0 +1,38 @@
> > > +# Contributor: Andrew Domaszek <brimston3@hg0.us>
> > > +# Maintainer:
> > > +pkgname="libzip"
> > > +pkgver="1.1.3"
> > > +pkgrel=0
> > > +pkgdesc="C library for handling zip archives"
> > > +url="https://nih.at/libzip/"
> > > +arch="all"
> > > +license="BSD"
> > > +depends=""
> > > +depends_dev="perl"
> > > +makedepends="$depends_dev"
> > > +install=""
> > > +subpackages="$pkgname-dev $pkgname-doc"
> > > +source="https://nih.at/$pkgname/$pkgname-$pkgver.tar.gz"
> > > +
> > > +builddir="$srcdir"/$pkgname-$pkgver
> > > +build() {
> > > +       cd "$builddir"
> > > +       ./configure \
> > > +               --build=$CBUILD \
> > > +               --host=$CHOST \
> > > +               --prefix=/usr \
> > > +               --mandir=/usr/share/man \
> > > +               --infodir=/usr/share/info \
> > > +               || return 1
> > > +       make || return 1
> > > +}
> > > +
> > > +package() {
> > > +       cd "$builddir"
> > > +       install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/"
> $pkgname"/LICENSE
> > > || return 1
> > > +       make DESTDIR="$pkgdir" install || return 1
> > > +}
> > > +
> > > +md5sums="898f02db185068c8ae45bafe4c5cc81c  libzip-1.1.3.tar.gz"
> > > +sha256sums="1faa5a524dd4a12c43b6344e618edc
> e1bf8050dfdb9d0f73f3cc826929a002b0
> > > libzip-1.1.3.tar.gz"
> > > +sha512sums="8534b48d2f1498b741925dbdf7510e
> bbdfb9773b5266ec28b1eb22b8f1a3
> > > 9e7ba44d225dae7d5dc265415a30e5b5295e7061e5c97698834405ce97ef08b97326
> > > libzip-1.1.3.tar.gz"
> > > --
> > > 2.8.3
> > >
> > >
> > >
> > > ---
> > > Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
> > > Help:         alpine-aports+help@lists.alpinelinux.org
> > > ---
> > >
> > >
>